Charchy Senddocs

Reschedule an email

Changes `scheduled_at` while the email is still `scheduled`.

PATCH
/emails/{id}

Changes scheduled_at while the email is still scheduled.

apiKey
headerAuthorizationBearer <token>

Authorization: Bearer chy_live_… (or chy_test_…). A live key may be sending-only, and may be locked to one domain.

id*string
Match^em_
application/json
  1. body
scheduled_at*string
Formatdate-time

Response Body

Rescheduled.

application/json
  1. response
id*string
status*string
scheduled_at*string
Formatdate-time
Example Request
import { CharchySend } from "@charchy/send"const send = new CharchySend() // reads CHARCHY_SEND_KEYconst { data, error } = await send.emails.update("em_8f2k1x9q4w7m3n5p6r0s2t4v", { scheduledAt: "2019-08-24T14:15:22Z" })
Example Response
{  "id": "string",  "status": "scheduled",  "scheduled_at": "2019-08-24T14:15:22Z"}